@REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@REM 5630-A36 (C) COPYRIGHT International Business Machines Corp., 1997,2003
@REM All Rights Reserved * Licensed Materials - Property of IBM
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@REM XD util to encode passwords

@echo off
REM Usage: PasswordEncoder pwdtoEncode
setlocal

call "%~dp0setupCmdLine.bat"

set WASPRODUCT=%WAS_HOME%\properties\version\WAS.product

IF NOT EXIST %WASPRODUCT% (echo "Missing WAS product version file %WASPRODUCT%" endlocal)

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr

FOR /F "tokens=3* delims=<>" %%i IN (%WASPRODUCT%) DO (
        set NDVERSION=%%i
)

IF %NDVERSION% LSS 7.0 (set MYCLASSPATH=%WAS_HOME%\plugins\com.ibm.ws.runtime_6.1.0.jar;%WAS_HOME%\lib\bootstrap.jar;%WAS_HOME%\plugins\com.ibm.ws.emf_2.1.0.jar;%WAS_HOME%\lib\ffdc.jar;%WAS_HOME%\plugins\org.eclipse.emf.ecore_2.2.1.v200609210005.jar;%WAS_HOME%\plugins\org.eclipse.emf.common_2.2.1.v200609210005.jar) ELSE (set MYCLASSPATH=%WAS_HOME%\plugins\com.ibm.ws.runtime.jar;%WAS_HOME%\lib\bootstrap.jar;%WAS_HOME%\plugins\com.ibm.ws.emf.jar;%WAS_HOME%\lib\ffdc.jar;%WAS_HOME%\plugins\org.eclipse.emf.ecore.jar%WAS_HOME%\plugins\org.eclipse.emf.common.jar)

"%JAVA_HOME%\bin\java" -cp %MYCLASSPATH% com.ibm.ws.security.util.PasswordEncoder %1

endlocal


